    Tough Script 2.01c
    RLW mods 13 Jan 90
::
::  -= A lean and mean platform for Pro-YAM and ZComm by Bob Willoughby =-
::
::    (...leaner and meaner if you decide to eliminate the cribsheet...)
::
::  There is a section at the end of this script with some of the author's
::  enlightening remarks (read 'babble') and raison d'etre for this script.
::
::  Note:  This 'tuf_fons.t' file has to be renamed to 'phones.t' prior to
::  use with Pro-YAM.  If you want to use it with ZComm, rename this file
::  to 'phodir.t' and comment out lines in the script as indicated.  I use
::  both Pro-YAM and ZComm, so this script is designed to utilize separate
::  directories for the two comm programs.  Tough Script expects Pro-YAM to
::  be in a C:\YAM directory; and it expects ZComm to be in a C:\ZCOMM
::  directory.  In addition, Pro-YAM needs a C:\YAM\TMP directory and ZComm
::  needs a C:\ZCOMM\TMP directory.
::
::  A comment about comments -- after you understand this script, all lines
::  that begin with a double colon "::" may be deleted to save space and
::  speed things up (...faster load time and less sifting for Pro-YAM or
::  ZComm to do).  Also, you can scrub the cribsheet menu if you do not need
::  that sort of quick reference.  Then you can use the F3 key for some other
::  purpose.

setup   port 1          :for COM1
        : port 2        :for COM2
        ena -d          :suppress the Carrier Lost msg during setup
        pv-1            :Verbose OFF (-1 shows none; 50 shows all)
        pa10000         :works fine with a 386SX at 16mhz

set:    putw "AT&Y0\r"                :set Hayes 2400b stored config profile 0
        putw "AT E1 M1 S9=07 S10=15 S11=55 S25=5\r"    :Hayes 2400b parms, RLW
        : putw "AT L0 V1 X4\r"             :set Hayes 2400 external modem, RLW
        : putw "AT V1\r"                   :set Hayes 1200 external modem, RLW
        : putw "ATE0X1V1 S7=20 S11=55 S0=0\r"    :a typical modem setup string
        pd1                     : turn on time stamping
        pi40                    : set redial for 40 seconds
        set mprefix ATDT        : Tone Dial
        : set mprefix ATDT1170, : Tone Dial plus call wait defeat, San Antonio
        set l "1"; set m "1"
        set quitcmd \003\336off\r       :press Alt-Q to set up auto log off
                                        :when a long file xfr is finished

    ::  Note:  The following color setup works nicely with EGA/VGA color 
    ::         monitors as well as with a VGA gas plasma screen.

        if dc p*15 p@79 pn31 pr30 pu15 ps14
        display warpdrive               :if CGA monitor, comment this line out
        : if dc pn7 pr112 pu15 ps7 p*7 p@7       :for monochrome monitor
        set disks "abcdefghi"

        set phones "/yam/phones.t"     :comment this line out if you use ZComm
        : set phones "/zcomm/phodir.t"   :uncomment this line if you use ZComm

    ::  Note:  Both of the above 'set phones' statements may be dispensed
    ::  with if you define the name and location of your script when you
    ::  install your registration serial number password (snp) with the
    ::  putsnp routine.
    ::
    ::  An even more useful way to go is to define a DOS environment varible
    ::  in your autoexec batch file as follows:
    ::
    ::                    set phones=c:\yam\phones.t
    ::               or   set phones=c:\zcomm\phodir.t
    ::
    ::  Defining the DOS environment variable is the most flexible method
    ::  to use, because that provides relative pathing to test other scripts.

        display bell=visual    :comment this line out if you like to be nagged!
                               :: (commenting out line above turns on the beep)

        echo "Resetting Function Keys"; reskeys
        set f3 "@gosub qref"            ::Call Quick Reference Screen
        set f4 "@kermit rb"
        set f5 "@accept s1 Send_ASCII_Msg: f -p %s1"
        set f6 "@accept s2 Send_Z: sz -Z /yam/%s2" :send file in /yam dir
                  : above line for use w/YAM - comment it out if using ZComm
        : set f6 "@accept s2 Send_Z: sz -Z /zcomm/%s2" :send file in /zcomm dir
                  : uncomment above line if using ZComm
        set f7 "@accept s3 Receive_CRCX: rc %s3"
        set f8 "@accept s4 Send_CRCX: sx %s4"
        set f9 "@keys"
        set helpfile "@!yhp \yam\umanh.hlp main"; set f10 "@help"
                  : above line for use w/YAM - comment it out if using ZComm
        : set helpfile "@!yhp \zcomm\zmanh.hlp zmain"; set f10 "@help"
                  : uncomment above line if using ZComm
        set fa5 "@kill; call -40 omen24"
        set fa6 "@kill; call -40 buerg_1"
        set fa7 "@kill; call -40 jordan24"
        set fa8 "@kill; call -40 mb_1"
        set fa9 "@kill; call -40 stump24"
        set fa10 "@kill; call -40 olde24"

        set calllog /yam/tmp/calllog  :comment out this line if using ZComm
        set rxlog /yam/tmp/rxlog      :comment out this line if using ZComm
        set txlog /yam/tmp/txlog      :comment out this line if using ZComm
        set tmp /yam/tmp              :comment out this line if using ZComm
        : set calllog /zcomm/tmp/calllog  :uncomment this line if using ZComm
        : set rxlog /zcomm/tmp/rxlog      :uncomment this line if using ZComm
        : set txlog /zcomm/tmp/txlog      :uncomment this line if using ZComm
        : set tmp /zcomm/tmp              :uncomment this line if using ZComm

        set adlopts r      : makes Zmodem AutoDownload xfrs use the "r"
                           : (resume/Crash Recovery) option.

::            This is an opening msg re the quick reference cribsheet.
::            Comment out the next six lines to skip the opening msg.
 echo ""
 echo ""
 echo "                    Press F3 for Quick Reference                       "
 echo ""
 echo ""
 return

qref  cls      :subroutine for quick reference "cribsheet" screen
 echo "                                                                       "
 echo "                   Bob's Pro-YAM/ZComm Cribsheet                       "
 echo "                                                                       "
 echo "F1  Exit Circular Buffer            F2  Enter Circular Buffer          "
 echo "F3  This Cribsheet                  F4  Receive Kermit Download        "
 echo "F5  Send ASCII Text                 F6  Send Zmodem Upload             "
 echo "F7  Receive CrcXmodem Download      F8  Send CrcXmodem Upload          "
 echo "F9  Show All Key Assignments        F10  Flashup Help Processor        "
 echo "Alt-1  Get DOS Command prompt       Alt-2  Get YAM Command prompt      "
 echo "                                                                       "
 echo "                                                                       "
 echo "              Most Often Called Bulletin Board Systems                 "
 echo "                   [Assigned to Alt_Function Keys]                     "
 echo "                                                                       "
 echo "aF5  Telegodzilla..Chuck Forsberg   aF6  VOR BBS          ...Vern Buerg"
 echo "aF7  TComm Spt    ...Larry Jordan   aF8  Motherboard     ...Julie Buerg"
 echo "aF9  Commando Spt  ...Shane Stump   aF10  Olde Guard  ...Bill Scheffman"
 echo "                                                                       "
 echo "                                                                       "
 echo ""
  return

         return             :end of setup

::
::                  --- PHONE DIRECTORY ENTRIES ---
::
omen24          speed 2400  %l-503-621-3746 ena -E;t -8g
omen12          speed 1200  %l-503-621-3746 ena -E;t -8g
: omen-voice    %l-503-621-3406\;
olde24          speed 2400  1-512-654-7817 ena -E;t -8g
olde12          speed 1200  1-512-654-7817 ena -E;t -8g
buerg_1         speed 2400  1-707-778-8944 ena -E;t -8g  :VOR BBS, public
buerg_112       speed 1200  1-707-778-8944 ena -E;t -8g  :VOR BBS, public
mb_1            speed 2400  1-707-778-8841 ena -E;t -8g
mb_2            speed 2400  1-707-778-8743 ena -E;t -8g
mb_112          speed 1200  1-707-778-8841 ena -E;t -8g
mb_212          speed 1200  1-707-778-8743 ena -E;t -8g
jordan24        speed 2400  1-301-428-7931 ena -E;t -8g
jordan12        speed 1200  1-301-428-7931 ena -E;t -8g
stump24         speed 2400  1-512-670-0954 ena -E;t -8g
stump12         speed 1200  1-512-670-0954 ena -E;t -8g
blacher24       speed 2400  1-202-547-2008 ena -E;t -8g
blacher12       speed 1200  1-202-547-2008 ena -E;t -8g
::
::                  -= END OF PHONE DIRECTORY =-

         return             :end of script

::
::  Some remarks about my Tough Script follow:
::
::  I use a pared down version of Tough Script every day that is a big,
::  bad 76 lines and 3,763 bytes long.  Thats it -- all of it, the whole
::  enchilada!  It does not have a memory kicker Cheatsheet menu like
::  this script, all commenting was dispensed with, and I even sent this
::  philosophical remarks section (timeless prose though it is) to the
::  big bit bin in the sky.  All that remains in my little version of
::  Tough Script is the setup section, a few function key assignments,
::  and my phone directory -- it does not call any external subroutine
::  scripts and like this Tough Script, it has no automated features.
::  Incidentally, I would incorporate automated logon subroutines if I
::  had an account with CompuServe or one of the other timesharing
::  outfits.
::
::  I have examined and written Pro-YAM and ZComm scripts for several
::  years and I finally decided that all I really want a script to do is
::  to fire up YAM with a few basic parameters and a phone directory.
::  Then I just light YAM's afterburners and take manual control with
::  its rich command set.  I get a lot of enjoyment out of direct
::  interaction with that marvelously flexible program -- I don't need
::  or want any more than that.  So my trimmed down version of this
::  Tough Script serves my individual needs quite well.  Yes, it is a
::  Spartan approach to telecommunications, but that is the way I like
::  it.  If you want a little bedrock to use as a starting point for
::  your more sophisticated script routines, be my guest.  That is why
::  I am making this Tough Script available.
::
::  Please understand that Tough Script is a purely personal working script
::   -- it was not designed to teach script writing or to "cover all the
::  bases" for beginners.  If you desire that sort of beginner script, you
::  need to get things up and running with Michael Ash's excellent PHOMAST5.T
::  script which is distributed with Pro-YAM and ZComm or separately as
::  PHOMAST5.ARC.
::
::  On the other hand if you want to use Tough Script as a "platform", you
::  can add sophisticated goodies easily...  things like a host mode,
::  Forsberg's TurboLearn, automatic logon routines, dialing queues, and
::  many other customized bells and whistles to build *your very own* system.
::  Writing scripts is a lot of fun and it is very satisfying.
::
::  For more information, I strongly urge you to bite the bullet -- study
::  the Professional YAM manual that is furnished when you register either
::  Pro-YAM or ZComm.  Or at least read the shareware ZCOMMDOC.ARC file
::  <..gasp..>!  You really can't get the maximum benefit and power out of
::  Pro-YAM or ZComm without coming to grips with the manual and learning
::  the program.  Yeah, thats right...  you *know* deep down inside that is
::  what you have to do.
::
::  In addition, you might want to subscribe to the Olde Guard (512-654-7817),
::  a bulletin board system in San Antonio, Texas that is a hangout for
::  several skillful Pro-YAM and ZComm users who enjoy swapping YAM yummies,
::  helping each other solve problems, and telling tall tales about tele-
::  communications ...<grin>.  Have a good day...
::
::                                  ...Bob
::
::++++++++++++++++++++++++++++ Thats All Folks! ++++++++++++++++++++++++++++::
